package com.yihu.hos.central.rest;

import com.yihu.hos.central.rest.runner.InitAdapter;
import org.springframework.boot.SpringApplication;
import org.springframework.boot.autoconfigure.SpringBootApplication;
import org.springframework.boot.autoconfigure.mongo.MongoAutoConfiguration;
import org.springframework.cloud.netflix.eureka.EnableEurekaClient;
import org.springframework.cloud.netflix.feign.EnableFeignClients;
import org.springframework.context.annotation.Bean;
import org.springframework.scheduling.annotation.EnableAsync;

@EnableFeignClients
@EnableEurekaClient
@EnableAsync
@SpringBootApplication(exclude = MongoAutoConfiguration.class,scanBasePackages={"com.yihu.ehr.elasticsearch","com.yihu.hos.web.framework.util.springutil","com.yihu.hos.central.rest"})
public class HosCentralRestApplication {

	public static void main(String[] args) {
		SpringApplication.run(HosCentralRestApplication.class,args);
	}

	@Bean
	public InitAdapter taskRunner(){
		return new InitAdapter();
	}
}
