package com.yihu.hos.central.rest.common.configuration;

import com.yihu.hos.central.rest.common.util.TempDataSourceHelper;
import org.springframework.beans.factory.annotation.Value;
import org.springframework.context.annotation.Configuration;

import javax.annotation.PostConstruct;

/**
 *  EHR连接地址配置
 * @author HZY
 * @vsrsion 1.0
 * Created at 2017/7/31.
 */
@Configuration
public class TempDataSourceConfiguration {

    @Value("${temp.datasource.driverClassName}")
    private String driverClassName;
    @Value("${temp.datasource.url}")
    private String url;
    @Value("${temp.datasource.username}")
    private String username;
    @Value("${temp.datasource.password}")
    private String password;



    private static TempDataSourceConfiguration configuration;


    @PostConstruct
    public void initValue(){
        configuration = this;
        TempDataSourceHelper.initConfig(configuration);

    }

    public String getDriverClassName() {
        return driverClassName;
    }

    public void setDriverClassName(String driverClassName) {
        this.driverClassName = driverClassName;
    }

    public String getUrl() {
        return url;
    }

    public void setUrl(String url) {
        this.url = url;
    }

    public String getUsername() {
        return username;
    }

    public void setUsername(String username) {
        this.username = username;
    }

    public String getPassword() {
        return password;
    }

    public void setPassword(String password) {
        this.password = password;
    }
}
