package com.yihu.hos.central.rest.common.format;


import com.yihu.hos.central.rest.models.standard.adapter.AdapterSchemeVersionModel;
import com.yihu.hos.central.rest.services.standard.adapter.AdapterDictService;
import com.yihu.hos.central.rest.services.standard.adapter.AdapterMetadataService;
import com.yihu.hos.central.rest.services.standard.adapter.AdapterSchemeVersionService;
import com.yihu.hos.central.rest.services.standard.standard.StdDatasetService;
import com.yihu.hos.central.rest.services.standard.standard.StdDictEntryService;
import com.yihu.hos.central.rest.services.standard.standard.StdMetadataService;
import com.yihu.hos.web.framework.model.standard.AdapterVersion;

/**
 * 适配器基类,DAO缓存
 *
 * @created Created by Air on 2015/6/10.
 */
public class AdapterBase {
    private static AdapterSchemeVersionService adapterSchemeVersionService;
    private static AdapterMetadataService adapterMetadataService;
    private static AdapterDictService adapterDictService;

    private static StdMetadataService stdMetadataService;
    private static StdDatasetService stdDatasetService;
    private static StdDictEntryService stdDictEntryService;

    protected AdapterVersion adapterVersion;


    public AdapterVersion getAdapterVersion() {
        AdapterSchemeVersionModel adapterSchemeVersionModel = getAdapterSchemeVersionService().getEhrAdapterVersionLasted();
        if (adapterSchemeVersionModel == null) {
            adapterSchemeVersionModel=new AdapterSchemeVersionModel();
        }
        String version = adapterSchemeVersionModel.getVersion();
         adapterVersion = new AdapterVersion(version);
        return adapterVersion;
    }

    public static AdapterSchemeVersionService getAdapterSchemeVersionService() {
        return adapterSchemeVersionService;
    }

    public static void setAdapterSchemeVersionService(AdapterSchemeVersionService adapterSchemeVersionService) {
        AdapterBase.adapterSchemeVersionService = adapterSchemeVersionService;
    }

    public static AdapterMetadataService getAdapterMetadataService() {
        return adapterMetadataService;
    }

    public static void setAdapterMetadataService(AdapterMetadataService adapterMetadataService) {
        AdapterBase.adapterMetadataService = adapterMetadataService;
    }

    public static AdapterDictService getAdapterDictService() {
        return adapterDictService;
    }

    public static void setAdapterDictService(AdapterDictService adapterDictService) {
        AdapterBase.adapterDictService = adapterDictService;
    }


    public static StdMetadataService getStdMetadataService() {
        return stdMetadataService;
    }

    public static void setStdMetadataService(StdMetadataService stdMetadataService) {
        AdapterBase.stdMetadataService = stdMetadataService;
    }

    public static StdDatasetService getStdDatasetService() {
        return stdDatasetService;
    }

    public static void setStdDatasetService(StdDatasetService stdDatasetService) {
        AdapterBase.stdDatasetService = stdDatasetService;
    }

    public static StdDictEntryService getStdDictEntryService() {
        return stdDictEntryService;
    }

    public static void setStdDictEntryService(StdDictEntryService stdDictEntryService) {
        AdapterBase.stdDictEntryService = stdDictEntryService;
    }
}
