package com.yihu.hos.central.rest.common.format;

import com.yihu.hos.central.rest.models.crawler.adapter.AdapterDataSet;
import com.yihu.hos.central.rest.models.crawler.adapter.StdDataSet;
import com.yihu.hos.web.framework.model.standard.StandardVersion;

import java.util.HashMap;
import java.util.List;
import java.util.Map;

public class PreparData {
    private static Map<String,Boolean> adapterFlg = new HashMap<>();//key值为适配
    private static Map<String,Boolean> stdFlg = new HashMap<>();

    private static Map<String, Map<String, AdapterDataSet>> adapterDataSetVersionMap = new HashMap<>();
    private static Map<String, Map<String, StdDataSet>> stdDataSetVersionMap = new HashMap<>();
    private static StandardVersion targetVersion = null;
    private static StandardVersion originVersion = null;
    private static Map<String,List<String>> stdDataSetMap = new HashMap<>();//list中排除 医疗资源-医疗机构信息(HDSD00_18) 和  医疗资源-卫生人员(HDSC00_04) // 这2个数据集的数据不在 hbase中

    public static Map<String, Boolean> getAdapterFlg() {
        return adapterFlg;
    }

    public static void setAdapterFlg(Map<String, Boolean> adapterFlg) {
        PreparData.adapterFlg = adapterFlg;
    }

    public static Map<String, Boolean> getStdFlg() {
        return stdFlg;
    }

    public static void setStdFlg(Map<String, Boolean> stdFlg) {
        PreparData.stdFlg = stdFlg;
    }

    /**
     * 根据 适配方案版本号 判断数据是否准本好
     * @return
     */
    public static Boolean isPrepar(String schemeVersion){
        Boolean adapterflg = adapterFlg.get(schemeVersion);
        Boolean stdflg = stdFlg.get(schemeVersion);
        if(adapterflg == null || stdflg == null){
            return false;
        }
        if(adapterflg && stdflg){
            return true;
        }
        return false;
    }

    public static Map<String, Map<String, AdapterDataSet>> getAdapterDataSetVersionMap() {
        return adapterDataSetVersionMap;
    }

    public static void setAdapterDataSetVersionMap(Map<String, Map<String, AdapterDataSet>> adapterDataSetVersionMap) {
        PreparData.adapterDataSetVersionMap = adapterDataSetVersionMap;
    }

    public static Map<String, Map<String, StdDataSet>> getStdDataSetVersionMap() {
        return stdDataSetVersionMap;
    }

    public static void setStdDataSetVersionMap(Map<String, Map<String, StdDataSet>> stdDataSetVersionMap) {
        PreparData.stdDataSetVersionMap = stdDataSetVersionMap;
    }

    public static StandardVersion getTargetVersion() {
        return targetVersion;
    }

    public static void setTargetVersion(StandardVersion targetVersion) {
        PreparData.targetVersion = targetVersion;
    }

    public static StandardVersion getOriginVersion() {
        return originVersion;
    }

    public static void setOriginVersion(StandardVersion originVersion) {
        PreparData.originVersion = originVersion;
    }

    public static Map<String, List<String>> getStdDataSetMap() {
        return stdDataSetMap;
    }

    public static void setStdDataSetMap(Map<String, List<String>> stdDataSetMap) {
        PreparData.stdDataSetMap = stdDataSetMap;
    }
}
