package com.yihu.hos.central.rest.feign;


import com.yihu.hos.central.rest.constants.ServiceApi;
import com.yihu.hos.core.constants.MicroServices;
import com.yihu.hos.web.framework.model.Envelop;
import io.swagger.annotations.ApiOperation;
import io.swagger.annotations.ApiParam;
import org.springframework.cloud.netflix.feign.FeignClient;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestMethod;
import org.springframework.web.bind.annotation.RequestParam;

import java.util.List;

@FeignClient(name = MicroServices.SvrResource)
@RequestMapping(MicroServices.ApiVersion.Version1_0)
public interface SvrResourceServiceClient {

    @RequestMapping(value = ServiceApi.Resources.ResourceMasterData, method = RequestMethod.GET)
    Envelop getEhrCenter(
            @RequestParam(value = "queryParams", required = false) String queryParams,
            @RequestParam(value = "page", required = false) Integer page,
            @RequestParam(value = "size", required = false) Integer size,
            @RequestParam(value = "version", required = false) String version) throws Exception;

    @RequestMapping(value = ServiceApi.Resources.ResourceSubData, method = RequestMethod.GET)
    Envelop getEhrCenterSub(
            @RequestParam(value = "queryParams", required = false) String queryParams,
            @RequestParam(value = "page", required = false) Integer page,
            @RequestParam(value = "size", required = false) Integer size,
            @RequestParam(value = "version", required = false) String version) throws Exception;

    @RequestMapping(value = ServiceApi.Resources.ResourceQueryTransform, method = RequestMethod.POST)
    Envelop ResourcesQueryTransform(
            @RequestParam(value = "resourcesCode") String resourcesCode,
            @RequestParam(value = "roleId") String roleId,
            @RequestParam(value = "orgCode") String orgCode,
            @RequestParam(value = "areaCode", required = false) String areaCode,
            @RequestParam(value = "queryParams", required = false) String queryParams,
            @RequestParam(value = "page", required = false) Integer page,
            @RequestParam(value = "size", required = false) Integer size,
            @RequestParam(value = "version", required = true) String version);

    @RequestMapping(value = ServiceApi.Resources.SolrIndexData, method = RequestMethod.GET)
    Envelop getSolrIndex(
            @RequestParam(value = "queryParams", required = false) String queryParams,
            @RequestParam(value = "page", required = false) Integer page,
            @RequestParam(value = "size", required = false) Integer size,
            @RequestParam(value = "version", required = false) String version) throws Exception;



    /**
     *  获取资源数据，返回档案包中包含的数据集(转译)
     */
    @RequestMapping(value = ServiceApi.Resources.ResourceQueryAllTransform, method = RequestMethod.POST)
    public Envelop getAllResourcesTransform(
            @RequestParam(value = "packId") String packId,
            @RequestParam(value = "roleId") String roleId,
            @RequestParam(value = "orgCode") String orgCode,
            @RequestParam(value = "areaCode") String areaCode,
            @ApiParam(name = "rowKey", value = "rowKey")
            @RequestParam(value = "rowKey", required = false) String rowKey,
            @ApiParam(name = "version", value = "版本号")
            @RequestParam(value = "version", required = false) String version) throws Exception;


    /**
     * 获取资源数据，通过数据集列表对应的数据(转译)
     */
    @RequestMapping(value = ServiceApi.Resources.ResourceQueryByDataSets, method = RequestMethod.POST)
    public Envelop getResourceByDataSets(
            @RequestParam(value = "dataSets") List dataSets,
            @RequestParam(value = "roleId") String roleId,
            @RequestParam(value = "orgCode") String orgCode,
            @RequestParam(value = "areaCode") String areaCode,
            @RequestParam(value = "rowKey", required = false) String rowKey,
            @RequestParam(value = "version", required = false) String version) throws Exception;

}
