package com.yihu.hos.central.rest.models.crawler.adapter;


import com.yihu.hos.central.rest.common.format.AdapterBase;
import com.yihu.hos.central.rest.models.standard.adapter.AdapterDictEntryModel;
import com.yihu.hos.central.rest.models.standard.adapter.AdapterDictModel;
import com.yihu.hos.web.framework.model.standard.AdapterVersion;
import com.yihu.hos.web.framework.model.standard.StandardVersion;
import org.springframework.util.CollectionUtils;

import java.util.HashMap;
import java.util.List;
import java.util.Map;

/**
 * @author Air
 * @version 1.0
 * @created 2015.08.11 11:31
 */
public class AdapterDict extends AdapterBase {

    private AdapterDictModel adapterDictModel;
    private Map<String, String> adapterValueToCodeMap;
    private Map<String, String> adapterCodeToCodeMap;
    private StandardVersion targetVersion;

    public AdapterDict(AdapterDictModel adapterDictModel, AdapterVersion adapterVersion, StandardVersion targetVersion,Map<Long, List<AdapterDictEntryModel>> entryMap) {
        this.adapterDictModel = adapterDictModel;
        this.targetVersion = targetVersion;
        prepareData(entryMap);
    }

    public void prepareData(Map<Long, List<AdapterDictEntryModel>> entryMap) {
        adapterValueToCodeMap = new HashMap<>();
        adapterCodeToCodeMap = new HashMap<>();
        List<AdapterDictEntryModel> adapterDictEntryModelList = entryMap.get(adapterDictModel.getStdDictId());
        if(!CollectionUtils.isEmpty(adapterDictEntryModelList)) {
            for (AdapterDictEntryModel adapterDictEntryModel : adapterDictEntryModelList) {
                adapterValueToCodeMap.put(adapterDictEntryModel.getAdapterEntryValue(), adapterDictEntryModel.getStdEntryCode());
                adapterCodeToCodeMap.put(adapterDictEntryModel.getAdapterEntryCode(), adapterDictEntryModel.getStdEntryCode());
            }
        }
    }

    public Map<String, String> getAdapterValueToCodeMap() {
        return adapterValueToCodeMap;
    }

    public Map<String, String> getAdapterCodeToCodeMap() {
        return adapterCodeToCodeMap;
    }


}
