package com.yihu.hos.central.rest.models.crawler.adapter;

import com.fasterxml.jackson.databind.ObjectMapper;
import com.yihu.hos.central.rest.common.format.StdBase;
import com.yihu.hos.central.rest.models.standard.standard.StdDataSetModel;
import com.yihu.hos.central.rest.models.standard.standard.StdMetaDataModel;
import com.yihu.hos.core.datatype.CollectionUtil;
import com.yihu.hos.web.framework.model.standard.StandardVersion;

import java.util.HashMap;
import java.util.List;
import java.util.Map;


/**
 * @author Air
 * @version 1.0
 * @created 2015.08.11 11:29
 */
public class StdDataSet extends StdBase {

    private  Map<Long, Map<String,StdMetaDataModel>> stdDataSetMetasMap;
    private  Map<String, StdMetaDataModel> stdMetaDataMap;
    private List<StdMetaDataModel> stdMetaDataModelList;

    private StandardVersion standardVersion;
    private Long stdDataSetId;
    private String stdDataSetCode;

    public StdDataSet(Long  stdDataSetId,StandardVersion standardVersion) {
        this.stdDataSetId = stdDataSetId;
        this.standardVersion = standardVersion;
        prepareData();
    }


    public void prepareData() {
        try {
            stdDataSetMetasMap = new HashMap<>();
            stdMetaDataMap = new HashMap<>();
            Map<String, Object> condition = new HashMap<>();
            condition.put("column", "code");

            ObjectMapper objectMapper = new ObjectMapper();
            stdMetaDataModelList = getStdMetadataService().getStdMetadataNotNullList(standardVersion, stdDataSetId, objectMapper.writeValueAsString(condition));
            if (!CollectionUtil.isEmpty(stdMetaDataModelList)) {
                for (StdMetaDataModel stdMetadataModel : stdMetaDataModelList) {
                    stdMetaDataMap.put(stdMetadataModel.getInnerCode(),stdMetadataModel);
                }
                if (!stdDataSetMetasMap.containsKey(stdDataSetId)){
                    stdDataSetMetasMap.put(stdDataSetId,stdMetaDataMap);
                }
            }
        } catch (Exception e) {
            e.printStackTrace();
        }
    }

    public void setDataSetCode(Long stdDataSetId){
        StdDataSetModel stdDataSetModel = getStdDatasetService().get(standardVersion,stdDataSetId);
        if (stdDataSetModel!=null){
            stdDataSetCode = stdDataSetModel.getCode();
        }
    }

    public Map<Long, Map<String, StdMetaDataModel>> getStdDataSetMetasMap() {
        return stdDataSetMetasMap;
    }

    public void setStdDataSetMetasMap(Map<Long, Map<String, StdMetaDataModel>> stdDataSetMetasMap) {
        this.stdDataSetMetasMap = stdDataSetMetasMap;
    }

    public List<StdMetaDataModel> getStdMetaDataModelList() {
        return stdMetaDataModelList;
    }

    public void setStdMetaDataModelList(List<StdMetaDataModel> stdMetaDataModelList) {
        this.stdMetaDataModelList = stdMetaDataModelList;
    }

    public Map<String, StdMetaDataModel> getStdMetaDataMap() {
        return stdMetaDataMap;
    }

    public void setStdMetaDataMap(Map<String, StdMetaDataModel> stdMetaDataMap) {
        this.stdMetaDataMap = stdMetaDataMap;
    }

    public Long getStdDataSetId() {
        return stdDataSetId;
    }

    public void setStdDataSetId(Long stdDataSetId) {
        this.stdDataSetId = stdDataSetId;
    }

    public String getStdDataSetCode() {
        return stdDataSetCode;
    }

    public void setStdDataSetCode(String stdDataSetCode) {
        this.stdDataSetCode = stdDataSetCode;
    }
}
