package com.yihu.hos.central.rest.models.crawler.statistics;

import com.fasterxml.jackson.annotation.JsonFormat;

import java.io.Serializable;
import java.util.Date;

/**
 * ElasticSearch:upload
 */
public class Upload implements Serializable {

    //--------------------es必定不为空的字段-----------------------------------------
    private String _id; //重传或者补传为profile_id,否则为uuid
    private Integer origin;//0为重传,即reuploadFlag为true    1为补传(事件时间晚于当前时间3天)    2查询索引失败  3查询主表失败     4查询细表失败      5sql插入失败
    private Date create_date;
    private String schema_version;//适配省平台版本号
    private Integer failed_count;//失败次数
    private String failed_message;//失败信息

    //--------------------es可能为空的字段-----------------------------------------
    private Date start_date;//开始时间                   origin=2,4时有该字段      origin=3可能有,可能没有
    private Date end_date;//结束时间                     origin=2,4时有该字段      origin=3可能有,可能没有
    private String row_key;//                            origin=0,1时,有该字段     origin=3可能有,可能没有
    private String table;//平台数据集code                origin=3,4时,有该字段
    private String upload_table;//待上传的数据集code     origin=3,4时,有该字段
    private String sql;//待执行的sql                     origin=5时,有该字段

    private String event_date;//事件时间
    private String patient_id;//病人ID
    private String event_no;//事件号
    private String org_code;//机构代码
    private String org_name;//机构名称
    private Integer event_type;//事件类型
    private String patient_name;//病人姓名
    private String idcard_no;//身份证号

    public String get_id() {
        return _id;
    }

    public void set_id(String _id) {
        this._id = _id;
    }

    public Integer getOrigin() {
        return origin;
    }

    public void setOrigin(Integer origin) {
        this.origin = origin;
    }

    @JsonFormat(pattern="yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    public Date getCreate_date() {
        return create_date;
    }

    public void setCreate_date(Date create_date) {
        this.create_date = create_date;
    }

    public String getSchema_version() {
        return schema_version;
    }

    public void setSchema_version(String schema_version) {
        this.schema_version = schema_version;
    }

    public Integer getFailed_count() {
        return failed_count;
    }

    public void setFailed_count(Integer failed_count) {
        this.failed_count = failed_count;
    }

    public String getFailed_message() {
        return failed_message;
    }

    public void setFailed_message(String failed_message) {
        this.failed_message = failed_message;
    }

    @JsonFormat(pattern="yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    public Date getStart_date() {
        return start_date;
    }

    public void setStart_date(Date start_date) {
        this.start_date = start_date;
    }

    @JsonFormat(pattern="yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    public Date getEnd_date() {
        return end_date;
    }

    public void setEnd_date(Date end_date) {
        this.end_date = end_date;
    }

    public String getRow_key() {
        return row_key;
    }

    public void setRow_key(String row_key) {
        this.row_key = row_key;
    }

    public String getEvent_date() {
        return event_date;
    }

    public void setEvent_date(String event_date) {
        this.event_date = event_date;
    }

    public String getTable() {
        return table;
    }

    public void setTable(String table) {
        this.table = table;
    }

    public String getUpload_table() {
        return upload_table;
    }

    public void setUpload_table(String upload_table) {
        this.upload_table = upload_table;
    }

    public String getPatient_id() {
        return patient_id;
    }

    public void setPatient_id(String patient_id) {
        this.patient_id = patient_id;
    }

    public String getEvent_no() {
        return event_no;
    }

    public void setEvent_no(String event_no) {
        this.event_no = event_no;
    }

    public String getOrg_code() {
        return org_code;
    }

    public void setOrg_code(String org_code) {
        this.org_code = org_code;
    }

    public String getOrg_name() {
        return org_name;
    }

    public void setOrg_name(String org_name) {
        this.org_name = org_name;
    }

    public Integer getEvent_type() {
        return event_type;
    }

    public void setEvent_type(Integer event_type) {
        this.event_type = event_type;
    }

    public String getPatient_name() {
        return patient_name;
    }

    public void setPatient_name(String patient_name) {
        this.patient_name = patient_name;
    }

    public String getIdcard_no() {
        return idcard_no;
    }

    public void setIdcard_no(String idcard_no) {
        this.idcard_no = idcard_no;
    }
}
