package com.yihu.hos.central.rest.services.crawler;

import com.yihu.hos.central.rest.common.dao.DatacollectDao;
import com.yihu.hos.central.rest.models.rs.RsJobConfig;
import com.yihu.hos.central.rest.models.rs.RsJobDataset;
import com.yihu.hos.central.rest.services.standard.StdService;
import com.yihu.hos.core.datatype.DateUtil;
import com.yihu.hos.web.framework.model.ActionResult;
import com.yihu.hos.web.framework.model.DataGridResult;
import com.yihu.hos.web.framework.model.DictItem;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;

import javax.annotation.Resource;
import java.text.ParseException;
import java.text.SimpleDateFormat;
import java.util.ArrayList;
import java.util.Date;
import java.util.List;

@Service
public class DatacollectManager {

    @Resource(name = "DatacollectDao")
    private DatacollectDao datacollectDao;

    @Resource
    private StdService stdManager;


    /*********************** 任务管理 ****************************************/


    /**
     * 根据ID获取任务详细
     *
     * @return
     */
    public RsJobConfig getJobById(String id) throws Exception {
        return datacollectDao.getEntity(RsJobConfig.class, id);
    }


    /**
     * 根据任务Id获取相关数据集下拉数据
     */
    public DataGridResult getJobDatasetByJobId(String jobId) throws Exception {
        //获取任务数据集
        List<RsJobDataset> jobDataset = datacollectDao.getJobDataset(jobId);

        DataGridResult re = new DataGridResult();
        List<DictItem> list = new ArrayList<>();

        for (RsJobDataset obj : jobDataset) {
            DictItem item = new DictItem();
            item.setValue(obj.getJobDatasetName());
            item.setCode(obj.getJobDatasetId());
            list.add(item);
        }
        re.setDetailModelList(list);
        return re;
    }

    /**
     * 修改任务
     */
    @Transactional
    public ActionResult updateJob(RsJobConfig obj) throws Exception {
        datacollectDao.updateEntity(obj);
        return new ActionResult(true, "修改成功！");
    }

    public static void main(String[] args) throws ParseException {
        String d = "2018-05-30T14:12:56Z";
        d = "2018-06-01T15:26:03Z";
        //SimpleDateFormat simpleDateFormat = new SimpleDateFormat(DateUtil.DATE_WORLD_FORMAT);
        //Date parse = simpleDateFormat.parse(d);
        //System.out.println(parse.getTime());


        SimpleDateFormat simpleDateFormat11 = new SimpleDateFormat(DateUtil.DEFAULT_YMDHMSDATE_FORMAT);
        Date parse = simpleDateFormat11.parse("2017-03-28 11:10:00");
        System.out.println(parse.getTime());
        //simpleDateFormat.pa
    }

}
