package com.yihu.hos.central.rest.services.qc;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.fasterxml.jackson.annotation.JsonIgnore;

import java.io.Serializable;
import java.util.Date;

/**
 * 省平台上传队列索引数据你
 * Created by progr1mmer on 2018/4/11.
 */

public class EsSimplePackage implements Serializable {

    private String _id;
    private String pwd; //密码
    private Date receive_date; //接收时间
    private String remote_path; //fastDfs文件地址
    private String client_id; //应用ID

    private String rowkey; //rowkey
    private String patient_id;//病人ID
    private String event_no;//事件号
    private String org_code;//机构代码
    private String org_name;//机构名称
    private String org_area;//机构所属行政区域编码
    private String event_date;//事件时间
    private Integer event_type;//事件类型 ; 0：门诊，1：住院，2：体检
    private String patient_name;//病人姓名
    private String idcard_no;//身份证号

    /****  错误队列相关字段 ****/
    private String create_date;//创建时间
    private String update_date;//最后更新时间
    private Integer fail_type;//失败类型； 1：获取数据失败，2：上传省平台失败，3：上传省平台缺失数据集
    private Integer retry_times;//重试次数


    public String get_id() {
        return _id;
    }

    public void set_id(String _id) {
        this._id = _id;
    }
    @JsonIgnore
    public String getPwd() {
        return pwd;
    }

    @JsonIgnore
    public Date getReceive_date() {
        return receive_date;
    }

    public void setReceive_date(Date receive_date) {
        this.receive_date = receive_date;
    }

    public void setPwd(String pwd) {
        this.pwd = pwd;
    }

    @JsonIgnore
    public String getRemote_path() {
        return remote_path;
    }

    public void setRemote_path(String remote_path) {
        this.remote_path = remote_path;
    }

    @JsonIgnore
    public String getClient_id() {
        return client_id;
    }

    public void setClient_id(String client_id) {
        this.client_id = client_id;
    }

    public String getRowkey() {
        return rowkey;
    }

    public void setRowkey(String rowkey) {
        this.rowkey = rowkey;
    }

    public String getPatient_id() {
        return patient_id;
    }

    public void setPatient_id(String patient_id) {
        this.patient_id = patient_id;
    }

    public String getEvent_no() {
        return event_no;
    }

    public void setEvent_no(String event_no) {
        this.event_no = event_no;
    }

    public String getOrg_code() {
        return org_code;
    }

    public void setOrg_code(String org_code) {
        this.org_code = org_code;
    }

    public String getEvent_date() {
        return event_date;
    }

    public void setEvent_date(String event_date) {
        this.event_date = event_date;
    }

    public Integer getEvent_type() {
        return event_type;
    }

    public void setEvent_type(Integer event_type) {
        this.event_type = event_type;
    }

    public String getPatient_name() {
        return patient_name;
    }

    public void setPatient_name(String patient_name) {
        this.patient_name = patient_name;
    }

    public String getIdcard_no() {
        return idcard_no;
    }

    public void setIdcard_no(String idcard_no) {
        this.idcard_no = idcard_no;
    }

    public String getOrg_name() {
        return org_name;
    }

    public void setOrg_name(String org_name) {
        this.org_name = org_name;
    }

    @JsonFormat(pattern="yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    public String getCreate_date() {
        return create_date;
    }

    public void setCreate_date(String create_date) {
        this.create_date = create_date;
    }

    @JsonFormat(pattern="yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    public String getUpdate_date() {
        return update_date;
    }

    public void setUpdate_date(String update_date) {
        this.update_date = update_date;
    }

    public Integer getFail_type() {
        return fail_type;
    }

    public void setFail_type(Integer fail_type) {
        this.fail_type = fail_type;
    }

    public Integer getRetry_times() {
        return retry_times;
    }

    public void setRetry_times(Integer retry_times) {
        this.retry_times = retry_times;
    }

    public String getOrg_area() {
        return org_area;
    }

    public void setOrg_area(String org_area) {
        this.org_area = org_area;
    }
}
